Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.greedyFit.scope
Class GreedyFitStepScope

    java.lang.Object
      org.optaplanner.core.impl.phase.step.AbstractStepScope
          org.optaplanner.core.impl.constructionheuristic.greedyFit.scope.GreedyFitStepScope

    public class GreedyFitStepScope

extends AbstractStepScope

Field Summary

Fields inherited from class org.optaplanner.core.impl.phase.step.AbstractStepScope
`bestScoreImproved, clonedSolution, score, stepIndex`

Constructor Summary
`GreedyFitStepScope(GreedyFitSolverPhaseScope phaseScope)`
`GreedyFitStepScope(GreedyFitSolverPhaseScope phaseScope, int stepIndex)`

Method Summary
`GreedyFitSolverPhaseScope` | `getPhaseScope()`
`Object` | `getPlanningEntity()`
`Move` | `getStep()`
`String` | `getStepString()`
`Move` | `getUndoStep()`
`int` | `getUninitializedVariableCount()` Should not be called because `isBestSolutionCloningDelayed()` return true
`boolean` | `isBestSolutionCloningDelayed()`
`void` | `setPlanningEntity(Object planningEntity)`
`void` | `setStep(Move step)`
`void` | `setStepString(String stepString)`
`void` | `setUndoStep(Move undoStep)`

Methods inherited from class org.optaplanner.core.impl.phase.step.AbstractStepScope
`createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getScoreDirector, getStepIndex, getWorkingRandom, getWorkingSolution, setBestScoreImproved, setClonedSolution, setScore, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GreedyFitStepScope

    public GreedyFitStepScope(GreedyFitSolverPhaseScope phaseScope)

### GreedyFitStepScope

    public GreedyFitStepScope(GreedyFitSolverPhaseScope phaseScope,
                              int stepIndex)

Method Detail

### getPhaseScope

    public GreedyFitSolverPhaseScope getPhaseScope()

  Specified by:
    `getPhaseScope` in class `AbstractStepScope`

### isBestSolutionCloningDelayed

    public boolean isBestSolutionCloningDelayed()

  Specified by:
    `isBestSolutionCloningDelayed` in class `AbstractStepScope`

### getUninitializedVariableCount

    public int getUninitializedVariableCount()

  Should not be called because `isBestSolutionCloningDelayed()` return true

  Specified by:
    `getUninitializedVariableCount` in class `AbstractStepScope`
  Returns:
    throws exception

### getPlanningEntity

    public Object getPlanningEntity()

### setPlanningEntity

    public void setPlanningEntity(Object planningEntity)

### getStep

    public Move getStep()

### setStep

    public void setStep(Move step)

### getStepString

    public String getStepString()

  Returns:
    null if logging level is to high

### setStepString

    public void setStepString(String stepString)

### getUndoStep

    public Move getUndoStep()

### setUndoStep

    public void setUndoStep(Move undoStep)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.